开发者社区> 问答> 正文

webservice客户端与服务端JDK版本不同?报错

服务端JDK是1.6的 并且用 jax-ws生成的webservice

但客户端应用的JDK版本是1.4  直接解析wsdl调用的是报错的.

JDK版本不同这样调用怎么解决

展开
收起
爱吃鱼的程序员 2020-06-22 19:28:12 603 0
1 条回答
写回答
取消 提交回答
  • https://developer.aliyun.com/profile/5yerqm5bn5yqg?spm=a2c6h.12873639.0.0.6eae304abcjaIB

    你只是JDK本身版本兼容,我还遇到跨语言兼容,虽说是有统一的标准,但和浏览器一个德行,蛋疼的webservice!

    尽量版本统一,不然就用统一的第三方解析:apacheCXF

    再不然...

    2020-06-22 19:28:28
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
低代码开发师(初级)实战教程 立即下载
冬季实战营第三期:MySQL数据库进阶实战 立即下载
阿里巴巴DevOps 最佳实践手册 立即下载